Package org.opentcs.access.rmi.services

# Interface RemoteVehicleService

All Superinterfaces:
  `java.rmi.Remote`, `RemoteTCSObjectService`

    public interface RemoteVehicleService
    extends RemoteTCSObjectService, java.rmi.Remote

Declares the methods provided by the `VehicleService` via RMI.

The majority of the methods declared here have signatures analogous to their counterparts in `VehicleService`, with an additional `ClientID` parameter which serves the purpose of identifying the calling client and determining its permissions.

To avoid redundancy, the semantics of methods that only pass through their arguments are not explicitly documented here again. See the corresponding API documentation in `VehicleService` for these, instead.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `attachCommAdapter​(ClientID clientId, TCSObjectReference<Vehicle> ref, VehicleCommAdapterDescription description)` |
  `void` | `disableCommAdapter​(ClientID clientId, TCSObjectReference<Vehicle> ref)` |
  `void` | `enableCommAdapter​(ClientID clientId, TCSObjectReference<Vehicle> ref)` |
  `AttachmentInformation` | `fetchAttachmentInformation​(ClientID clientId, TCSObjectReference<Vehicle> ref)` |
  `VehicleProcessModelTO` | `fetchProcessModel​(ClientID clientId, TCSObjectReference<Vehicle> ref)` |
  `void` | `sendCommAdapterCommand​(ClientID clientId, TCSObjectReference<Vehicle> ref, AdapterCommand command)` |
  `void` | `sendCommAdapterMessage​(ClientID clientId, TCSObjectReference<Vehicle> vehicleRef, java.lang.Object message)` |
  `void` | `updateVehicleAllowedOrderTypes​(ClientID clientId, TCSObjectReference<Vehicle> ref, java.util.Set<java.lang.String> allowedOrderTypes)` |
  `void` | `updateVehicleIntegrationLevel​(ClientID clientId, TCSObjectReference<Vehicle> ref, Vehicle.IntegrationLevel integrationLevel)` |

  ### Methods inherited from interface org.opentcs.access.rmi.services.RemoteTCSObjectService

  `appendObjectHistoryEntry, fetchObject, fetchObject, fetchObjects, fetchObjects, updateObjectProperty`

- ## Method Details

  - ### attachCommAdapter

    void attachCommAdapter​(ClientID clientId, TCSObjectReference<Vehicle> ref, VehicleCommAdapterDescription description) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### disableCommAdapter

    void disableCommAdapter​(ClientID clientId, TCSObjectReference<Vehicle> ref) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### enableCommAdapter

    void enableCommAdapter​(ClientID clientId, TCSObjectReference<Vehicle> ref) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### fetchAttachmentInformation

    AttachmentInformation fetchAttachmentInformation​(ClientID clientId, TCSObjectReference<Vehicle> ref) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### fetchProcessModel

    VehicleProcessModelTO fetchProcessModel​(ClientID clientId, TCSObjectReference<Vehicle> ref) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### sendCommAdapterCommand

    void sendCommAdapterCommand​(ClientID clientId, TCSObjectReference<Vehicle> ref, AdapterCommand command) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### sendCommAdapterMessage

    void sendCommAdapterMessage​(ClientID clientId, TCSObjectReference<Vehicle> vehicleRef, java.lang.Object message) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### updateVehicleIntegrationLevel

    void updateVehicleIntegrationLevel​(ClientID clientId, TCSObjectReference<Vehicle> ref, Vehicle.IntegrationLevel integrationLevel) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### updateVehicleAllowedOrderTypes

    void updateVehicleAllowedOrderTypes​(ClientID clientId, TCSObjectReference<Vehicle> ref, java.util.Set<java.lang.String> allowedOrderTypes) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`